## START: Set by rpmautospec
## (rpmautospec version 0.3.0)
%define autorelease(e:s:pb:n) %{?-p:0.}%{lua:
    release_number = 2;
    base_release_number = tonumber(rpm.expand("%{?-b*}%{!?-b:1}"));
    print(release_number + base_release_number - 1);
}%{?-e:.%{-e*}}%{?-s:.%{-s*}}%{!?-n:%{?dist}}
## END: Set by rpmautospec

%global srcname jupyter-kernel-test
%global srcname_ jupyter_kernel_test

Name:           python-%{srcname}
Version:        0.4.5
Release:        %autorelease
Summary:        Machinery for testing Jupyter kernels via the messaging protocol

License:        BSD
URL:            https://pypi.python.org/pypi/%{srcname}
Source0:        %pypi_source %{srcname_}

BuildArch:      noarch

BuildRequires:  python3-devel

%description
jupyter_kernel_test is a tool for testing Jupyter kernels. It tests kernels for
successful code execution and conformance with the Jupyter Messaging Protocol
(currently 5.0).

%package -n python3-%{srcname}
Summary:        %{summary}

%description -n python3-%{srcname}
jupyter_kernel_test is a tool for testing Jupyter kernels. It tests kernels for
successful code execution and conformance with the Jupyter Messaging Protocol
(currently 5.0).

%generate_buildrequires
%pyproject_buildrequires -w -x test

%prep
%autosetup -n %{srcname_}-%{version} -p1

%build
%pyproject_wheel

%install
%pyproject_install
%pyproject_save_files %{srcname_}

%check
PYTHONPATH="%{buildroot}%{python3_sitelib}" \
    %{python3} -m unittest -v

%files -n python3-%{srcname} -f %{pyproject_files}
%license LICENSE
%doc README.rst

%changelog
* Fri Jan 20 2023 Fedora Release Engineering <releng@fedoraproject.org> 0.4.5-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_38_Mass_Rebuild

* Wed Aug 24 2022 Elliott Sales de Andrade <quantum.analyst@gmail.com> 0.4.5-1
- Update to latest version (#2119818)

* Fri Jul 22 2022 Fedora Release Engineering <releng@fedoraproject.org> 0.4.3-4
- Rebuilt for https://fedoraproject.org/wiki/Fedora_37_Mass_Rebuild

* Wed Jun 15 2022 Python Maint <python-maint@redhat.com> 0.4.3-3
- Rebuilt for Python 3.11

* Fri Jan 21 2022 Fedora Release Engineering <releng@fedoraproject.org> 0.4.3-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_36_Mass_Rebuild

* Sun Dec 19 2021 Elliott Sales de Andrade <quantum.analyst@gmail.com> 0.4.3-1
- Update to latest version (#2027871)

* Mon Dec 06 2021 Elliott Sales de Andrade <quantum.analyst@gmail.com> 0.4.2-1
- Update to latest version (#2027871)

* Fri Dec 03 2021 Elliott Sales de Andrade <quantum.analyst@gmail.com> 0.4.1-1
- Update to latest version (#2027871)

* Wed Dec 01 2021 Elliott Sales de Andrade <quantum.analyst@gmail.com> 0.4.0-1
- Update to latest version (#2027871)

* Wed Dec 01 2021 Elliott Sales de Andrade <quantum.analyst@gmail.com> 0.3-20
- Clean up some unnecessary bits

* Fri Jul 23 2021 Fedora Release Engineering <releng@fedoraproject.org> - 0.3-19
- Rebuilt for https://fedoraproject.org/wiki/Fedora_35_Mass_Rebuild

* Fri Jun 04 2021 Python Maint <python-maint@redhat.com> - 0.3-18
- Rebuilt for Python 3.10

* Wed Jan 27 2021 Fedora Release Engineering <releng@fedoraproject.org> - 0.3-17
- Rebuilt for https://fedoraproject.org/wiki/Fedora_34_Mass_Rebuild

* Fri Oct 02 2020 Tomas Hrnciar <thrnciar@redhat.com> - 0.3-16
- Backport patch to replace flit.ini with pyproject.toml needed by flit 3.0.0
- Convert spec to use pyproject-rpm-macros

* Wed Jul 29 2020 Fedora Release Engineering <releng@fedoraproject.org> - 0.3-15
- Rebuilt for https://fedoraproject.org/wiki/Fedora_33_Mass_Rebuild

* Tue May 26 2020 Miro Hrončok <mhroncok@redhat.com> - 0.3-14
- Rebuilt for Python 3.9

* Thu Jan 30 2020 Fedora Release Engineering <releng@fedoraproject.org> - 0.3-13
- Rebuilt for https://fedoraproject.org/wiki/Fedora_32_Mass_Rebuild

* Thu Oct 03 2019 Miro Hrončok <mhroncok@redhat.com> - 0.3-12
- Rebuilt for Python 3.8.0rc1 (#1748018)

* Mon Aug 19 2019 Miro Hrončok <mhroncok@redhat.com> - 0.3-11
- Rebuilt for Python 3.8

* Fri Jul 26 2019 Fedora Release Engineering <releng@fedoraproject.org> - 0.3-10
- Rebuilt for https://fedoraproject.org/wiki/Fedora_31_Mass_Rebuild

* Sat Feb 02 2019 Fedora Release Engineering <releng@fedoraproject.org> - 0.3-9
- Rebuilt for https://fedoraproject.org/wiki/Fedora_30_Mass_Rebuild

* Sat Jul 14 2018 Fedora Release Engineering <releng@fedoraproject.org> - 0.3-8
- Rebuilt for https://fedoraproject.org/wiki/Fedora_29_Mass_Rebuild

* Tue Jun 19 2018 Miro Hrončok <mhroncok@redhat.com> - 0.3-7
- Rebuilt for Python 3.7

* Thu Apr 19 2018 Elliott Sales de Andrade <quantum.analyst@gmail.com> - 0.3-6
- Fix build against latest flit.

* Fri Feb 09 2018 Fedora Release Engineering <releng@fedoraproject.org> - 0.3-5
- Rebuilt for https://fedoraproject.org/wiki/Fedora_28_Mass_Rebuild

* Mon Oct 30 2017 Elliott Sales de Andrade <quantum.analyst@gmail.com> - 0.3-4
- Fix license tag.

* Sun Oct 29 2017 Elliott Sales de Andrade <quantum.analyst@gmail.com> - 0.3-3
- Use new method of skipping flit network usage.
- Simplify spec against latest template.

* Mon Jul 24 2017 Elliott Sales de Andrade <quantum.analyst@gmail.com> - 0.3-2
- Use new py3_install_wheel macro.

* Mon Jul 24 2017 Elliott Sales de Andrade <quantum.analyst@gmail.com> - 0.3-1
- Update to latest version.

* Sun Mar 12 2017 Elliott Sales de Andrade <quantum.analyst@gmail.com> - 0.2.2-1
- Initial package release.

